/* KeyScan.h - 按键模块接口 */
#ifndef __KEY_SCAN_H__
#define __KEY_SCAN_H__

// 按键引脚定义（与硬件布局一致）
sbit KEY1 = P3^0;
sbit KEY2 = P3^1;
sbit KEY3 = P3^2;
sbit KEY4 = P3^3;

// 函数声明
void Key_Init(void);
void Key_Scan(void);
uint8_t Get_KeyEvents(void);

#endif